最新 追記

ポケットを空にして。

1985|10|
2004|01|02|03|04|05|06|07|08|09|10|11|12|
2005|01|02|03|04|05|06|07|08|09|10|11|12|
2006|01|02|03|04|05|06|07|08|09|10|11|12|
2007|01|02|03|04|05|06|07|08|09|10|11|12|
2008|01|02|03|04|05|06|07|08|09|10|11|12|
2009|01|02|03|04|05|06|07|08|09|10|11|12|
2010|01|02|03|04|05|06|07|08|09|10|11|12|
2011|01|02|03|04|05|06|07|08|09|10|11|12|
2012|01|02|03|04|05|06|07|08|09|10|11|12|
2013|01|02|03|04|05|06|07|08|09|10|11|12|
2014|01|02|03|04|05|06|07|08|09|10|11|12|
2100|01|

「人の心に残るというのが大事」と言う話。

何か連絡がある場合はメールでどうぞ(過去の日記へのツッコミは基本的にみていません)
プレゼントは随時受け付けております :-) ここ最近のツッコミ/トラックバックリスト。

  1. うわばみ (08-21)


2012-08-02 [長年日記] この日を編集

subversion1.7関連

pysvnとsvn-workbenchはunstable行き。w3afはどうするかなぁ…削除した方がいいような気もするが、問題があれば削除する、ぐらいかな。
それにしてLaunchpadのバグレポートは放置されるのが多いような… LP#886388LP#886391をupstreamのissue trackerに突っ込んで、動作をみて直ってるのを2件ほどクローズしてみた。

忘れないようにメモ。

ついでにLPでバグ掃除

関係がないのとか、既に直ってるのとか、直す予定がないものとか。

TeXLiveってどのぐらいフォント含んでるんだろう?

apt-file search': apt-file search .ttf |sort |cut -d':' -f1 |uniq |grep texlive

で、結果から texlive を抜き出してみた。

texlive-fonts-extra
texlive-fonts-recommended
texlive-lang-arabic
texlive-lang-cjk

それじゃ、一体どのファイルが含まれているのかなーと思ってリストを作る

for i in texlive-fonts-extra texlive-fonts-recommended texlive-lang-arabic texlive-lang-cjk;
do apt-file show $i |grep .ttf$ >> /tmp/texlive-font.txt; done

anthy パッケージを更新してみた in Experimental (9100h-17)

Ubuntu Magazine Japan に載ってたので知ったのですが、Social IME や Wikipedia データを元にした辞書データが手に入るのね、ということで追加してみました。すごく変な変換の部分は削ったつもり。
とりあえず使ってみて、完全におかしい変換などあったら何らかの手段で教えて下さい。


2012-08-03 [長年日記] この日を編集

kfreebsd...

cd Source && python2.6 setup.py configure \
		--pycxx-src-dir=/usr/share/python2.6/CXX \
		--pycxx-dir=/usr/share/python2.6/CXX \
		--svn-lib-dir=/usr/lib/i386-kfreebsd-gnu \
		--apr-inc-dir=/usr/include/apr-1.0 \
		--apu-inc-dir=/usr/include/apr-1.0 \
		--norpath
Info: Configure for python 2.6.8 in exec_prefix /usr
('Error:', 'Cannot automatically detect your platform use --platform option')
make: *** [build-stamp2.6] Error 1

ぐぬぬ。


2012-08-04 [長年日記] この日を編集

kfreebsd環境を作る

いきなりハマった。このバグでupgradeしたときにaptが動かない。Cache-Limitを指定してもダメ。しかたがないので、man apt.confして調べて、/etc/apt/apt.conf.d/に適当なファイルを作り

Acquire::Languages {"none";};

としてDDTPな部分を読まないようにして切り抜けた。

pbuilder on kfreebsd

dh_compress -a -X.py -X.sxw
sh: 1: cannot create /dev/null: Permission denied
sh: 5: cannot create /dev/null: Permission denied
sh: 17: cannot create /dev/null: Permission denied
sh: 1: cannot create /dev/null: Permission denied
sh: 5: cannot create /dev/null: Permission denied
sh: 17: cannot create /dev/null: Permission denied

/dev以下のファイルの扱いがよろしくないのかなー?


2012-08-08 [長年日記] この日を編集

debhelperをちょっといじり、sbuildを使ってみた

各圧縮パラメーターをいじってビルドするのはダルいので、debhelperをいじくってみた。Perl(も)わからないんだけど、何とかなりました。見通しが良いのはいいことだ!
で、あとsbuildも使ってみるかな、ということでWikiを見て設定。…で、どうやって大量のソースを渡せば良いんだ、これ。

必要そうなディスク容量

計算してみた: (all:55GB + i386:50GB + amd64:53GB) * 7 = 1,106... 1.1TBも保存に必要なのか!
実際にはビルド時のディスク容量も必要だから、2、300GB足して…1.5TB か。VPSでやろうかと思ったけど、これは辛いな。


2012-08-12 [長年日記] この日を編集

圧縮てすとの結果

root@hp:/tmp# ls xz*/*deb -al|sort
-rw-r--r-- 1 root root  150934 Aug 12 12:07 xz1_e/tdiary_3.1.3-3_all.deb
-rw-r--r-- 1 root root  150934 Aug 12 12:07 xz6_e/tdiary_3.1.3-3_all.deb
-rw-r--r-- 1 root root  150934 Aug 12 12:07 xz9_e/tdiary_3.1.3-3_all.deb
-rw-r--r-- 1 root root  151318 Aug 12 12:07 xz6/tdiary_3.1.3-3_all.deb
-rw-r--r-- 1 root root  151318 Aug 12 12:07 xz9/tdiary_3.1.3-3_all.deb
-rw-r--r-- 1 root root  163466 Aug 12 12:07 xz1/tdiary_3.1.3-3_all.deb
-rw-r--r-- 1 root root  206932 Aug 12 12:07 xz1_e/tdiary-plugin_3.1.3-3_all.deb
-rw-r--r-- 1 root root  206932 Aug 12 12:07 xz6_e/tdiary-plugin_3.1.3-3_all.deb
-rw-r--r-- 1 root root  206932 Aug 12 12:07 xz9_e/tdiary-plugin_3.1.3-3_all.deb
-rw-r--r-- 1 root root  207384 Aug 12 12:07 xz6/tdiary-plugin_3.1.3-3_all.deb
-rw-r--r-- 1 root root  207384 Aug 12 12:07 xz9/tdiary-plugin_3.1.3-3_all.deb
-rw-r--r-- 1 root root  223540 Aug 12 12:07 xz1/tdiary-plugin_3.1.3-3_all.deb
-rw-r--r-- 1 root root 3140922 Aug 12 12:07 xz6_e/tdiary-theme_3.1.3-3_all.deb
-rw-r--r-- 1 root root 3140922 Aug 12 12:07 xz9_e/tdiary-theme_3.1.3-3_all.deb
-rw-r--r-- 1 root root 3154862 Aug 12 12:07 xz6/tdiary-theme_3.1.3-3_all.deb
-rw-r--r-- 1 root root 3154862 Aug 12 12:07 xz9/tdiary-theme_3.1.3-3_all.deb
-rw-r--r-- 1 root root 3215390 Aug 12 12:07 xz1_e/tdiary-theme_3.1.3-3_all.deb
-rw-r--r-- 1 root root 3328590 Aug 12 12:07 xz1/tdiary-theme_3.1.3-3_all.deb

これだけ見ると -z1 -extreme が良いように見えるな。。。


2012-08-17 [長年日記] この日を編集

PGP key statistics、停止かなー

PGP key statisticsというサービスがある。作者はmirmonの方。
これの更新が2月から止まっていて「?」と思ったのだが、どうやら大本のデータが作成されなくなったようだ。
データの提供者はまた別の方だったので、「何かトラブル?」とメールをしたところ、「もう提供しなくなった」とのこと。うーん残念。


2012-08-18 [長年日記] この日を編集

pbuilder の base.tgz 解凍速度

root@hp:/tmp# time tar xf base.tar.gz > /dev/null
 
real	0m8.568s
user	0m2.316s
sys	0m0.728s
 
root@hp:/tmp# time tar xf base.tar.xz > /dev/null
 
real	0m6.216s
user	0m6.128s
sys	0m0.672s
 
root@hp:/tmp# cp base.tar.xz base.tar
root@hp:/tmp# time tar xf base.tar > /dev/null
 
real	0m10.090s
user	0m6.148s
sys	0m0.672s

tar のみが遅いのが意外…。


2012-08-21 [長年日記] この日を編集

MathLibreを見てみる

Package: surf
Version: 1.0.6-2
-----------------------------------------------------------
Package: fasm
Version: 1.69.29-2
-----------------------------------------------------------
Package: ketpicscilab
Version: 3.5.0-1
-----------------------------------------------------------
Package: ps2text
Version: 0.4.1-2
-----------------------------------------------------------
Package: geonext
Version: 1.73-2
-----------------------------------------------------------
Package: teruaki
Version: 0.20090303-1
-----------------------------------------------------------
Package: qfract
Version: 0.20090901-2
-----------------------------------------------------------
Package: libalgebra-ruby
Version: 0.70-1
-----------------------------------------------------------
Package: polymake
Version: 2.11-2
-----------------------------------------------------------
Package: opencasl
Version: 0.3d-2
-----------------------------------------------------------
Package: cocoa
Version: 4.7.5-1
-----------------------------------------------------------
Package: cocot
Version: 0.20100903-1
-----------------------------------------------------------
Package: processing
Version: 1.2.1-1
-----------------------------------------------------------
Package: geogebra
Version: 4.0.21.0-1
-----------------------------------------------------------
Package: surfer
Version: 0.0.1-2
-----------------------------------------------------------
Package: mathjax
Version: 1.0-2
-----------------------------------------------------------
Package: car
Version: 9.3-1
-----------------------------------------------------------
Package: knoppix-math-doc-ja
Version: 0.20100304-2
-----------------------------------------------------------
Package: 3d-xplormath-j
Version: 1.0-1
-----------------------------------------------------------
Package: knot
Version: 0.0.20060313-4
-----------------------------------------------------------
Package: nzmath
Version: 1.1.0-2
-----------------------------------------------------------
Package: librational-ruby
Version: 1.00-3
-----------------------------------------------------------
Package: libpolynomial-ruby
Version: 0.0.20050201-1
-----------------------------------------------------------
Package: decimalbasic
Version: 0.6.0.0e-1
-----------------------------------------------------------
Package: wxkc
Version: 1.0.2-1
-----------------------------------------------------------
Package: eggx
Version: 0.93r3-2
-----------------------------------------------------------
HMS
LattE
OpenXM
cocoa-4.7
ketpic
math-doc-search
sage
sage-4.8
本日のツッコミ(全1件) [ツッコミを入れる]

_ うわばみ [qfractはITPしますよー。]


2012-08-24 [長年日記] この日を編集

po4aの変な挙動

debhelper処理してた時に見つけた。
マニュアルにあるように「翻訳におまけのテキスト (翻訳者名など) を追加するには?」の部分。positionは日本語だとうまくマッチせんですよ…。何か勘違いしてるかな


2012-08-25 [長年日記] この日を編集

理由不明なハマり

Can't load '/usr/lib/perl/5.14/auto/IO/IO.so'

などとでて、debconfダイアログがロードできなくてパッケージインストールなどに失敗するということがでてしまった。実際、そのファイルは存在している…??? perl-base パッケージを入れて解決はした、が腑に落ちない。一応、フルでエラー時のメッセージも残しておこう…

libvirtodbc0 (6.1.4+dfsg1-1) を設定しています ...
Can't load '/usr/lib/perl/5.14/auto/IO/IO.so' for module IO: /usr/lib/perl/5.14/auto/IO/IO.so: undefined symbol: PeRl_PerlIO_clearerr at /usr/share/perl/5.14/XSLoader.pm line 71.
 at /usr/lib/perl/5.14/IO.pm line 11
Compilation failed in require at /usr/lib/perl/5.14/IO/Handle.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl/5.14/IO/Handle.pm line 9.
Compilation failed in require at /usr/lib/perl/5.14/IO/Seekable.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl/5.14/IO/Seekable.pm line 9.
Compilation failed in require at /usr/lib/perl/5.14/IO/File.pm line 11.
BEGIN failed--compilation aborted at /usr/lib/perl/5.14/IO/File.pm line 11.
Compilation failed in require at /usr/share/perl/5.14/FileHandle.pm line 9.
Compilation failed in require at /usr/share/perl5/Debconf/Template.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Template.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Question.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Question.pm line 8.
Compilation failed in require at /usr/share/perl5/Debconf/Config.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Config.pm line 7.
Compilation failed in require at /usr/share/perl5/Debconf/Log.pm line 10.
Compilation failed in require at /usr/share/perl5/Debconf/Db.pm line 7.
BEGIN failed--compilation aborted at /usr/share/perl5/Debconf/Db.pm line 7.
Compilation failed in require at /usr/share/debconf/frontend line 6.
BEGIN failed--compilation aborted at /usr/share/debconf/frontend line 6.
dpkg: libvirtodbc0 の処理中にエラーが発生しました (--configure):

Anthyの追加辞書を入れてみた→これはダメかもしれんね

前回追加はしてみたが、誤変換が多くてこれはunstable入れるときには外すかしないとなーと思う。


2012-08-28 [長年日記] この日を編集

Debian の Azure 対応

とりあえず確認をとるフェーズ。

[proposal] use xz compression for Debian package by default

ぷぅ、ようやく出せました。DebConf発表の続きネタで、「arch:any で xz 使おうぜ」に進化しましたよ。

debhelperへのハックで、xz圧縮の結果を簡単に得られるようにしてみるなどの提案も加えてみました。本当は手元ですべてリビルドして、その結果を付加しようとしたのですが、それはもう少し後で、ということにして、とりあえず出してみることに。


2012-08-30 [長年日記] この日を編集

MTP パッケージ更新

先日登録したパッチが取り込まれ、 Sony Tablet S1 認識するようになりました。これでいちいち手元でパッチ当てなくて済みますね :)